#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 wai-extra
version:              3.1.6
visibility:           public
id:                   wai-extra-3.1.6-H8ClDN4jxDxAuGb5Dwarp2
key:                  wai-extra-3.1.6-H8ClDN4jxDxAuGb5Dwarp2
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman
stability:            Stable
homepage:             http://github.com/yesodweb/wai
synopsis:             Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:

    * WAI Testing Framework

    Hspec testing facilities and helpers for WAI.

    * Event Source/Event Stream

    Send server events to the client. Compatible with the JavaScript
    EventSource API.

    * Accept Override

    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).

    * Add Headers

    WAI Middleware for adding arbitrary headers to an HTTP request.

    * Clean Path

    Clean a request path to a canonical form.

    * GZip Compression

    Negotiate HTTP payload gzip compression.

    * HTTP Basic Authentication

    WAI Basic Authentication Middleware which uses Authorization header.

    * JSONP

    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.

    * Method Override / Post

    Allows overriding of the HTTP request method via the _method query string
    parameter.

    * Request Logging

    Request logging middleware for development and production environments

    * Request Rewrite

    Rewrite request path info based on a custom conversion rules.

    * Stream Files

    Convert ResponseFile type responses into ResponseStream type.

    * Virtual Host

    Redirect incoming requests to a new host based on custom rules.


    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.

category:             Web
abi:                  9a3fa55c4e27219bef9f580cb66b90ba
exposed:              True
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.Jsonp Network.Wai.Middleware.Local
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RealIp Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.RequestSizeLimit
    Network.Wai.Middleware.RequestSizeLimit.Internal
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Timeout
    Network.Wai.Middleware.Vhost Network.Wai.Parse Network.Wai.Request
    Network.Wai.Test Network.Wai.Test.Internal Network.Wai.UrlMap

hidden-modules:       Network.Wai.Middleware.RequestLogger.Internal
import-dirs:          /usr/lib/ghc-8.10.5/site-local/wai-extra-3.1.6
library-dirs:         /usr/lib/ghc-8.10.5/site-local/wai-extra-3.1.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/wai-extra-3.1.6
hs-libraries:         HSwai-extra-3.1.6-H8ClDN4jxDxAuGb5Dwarp2
depends:
    HUnit-1.6.2.0-8FsjWfKzSV74wDnwnuEJe4
    aeson-1.5.6.0-6uunGgFAYkLL5zoDUTK2GY
    ansi-terminal-0.11-KZlfwqvn41oLlRmR1M9CEn base-4.14.2.0
    base64-bytestring-1.2.0.1-6PvrigrzgN5CFxMJsxx0QP
    bytestring-0.10.12.0 call-stack-0.3.0-HaJG5jRa2XM74od97nDj56
    case-insensitive-1.2.1.0-JPdBXBeCcNF9RB4NR2tt4M containers-0.6.4.1
    cookie-0.4.5-DRjKUovO6l159RRdguKqPl
    data-default-class-0.1.2.0-9cFfQKP7sucLLfD3ZZyiPI directory-1.3.6.0
    fast-logger-3.0.5-1W7PRpCEk18C9ysaG8w261
    http-types-0.12.3-19oZT8Fua6FHdxhPU1oghZ
    http2-3.0.2-EpPeUdT1rng14xgaZFGtw8
    iproute-1.7.11-A8GTzRG96WvIj6QvmzRio3
    network-3.1.2.2-25lMYs5jWh9BSaCkMt8wPK
    resourcet-1.2.4.2-Gfu0kyxxOMA2Bc8Qssjz0Z
    streaming-commons-0.2.2.1-AtkjeZAlXkUIljdPU6Yxo6 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2
    vault-0.3.1.5-LYFp2ickHVJ5avtUFSWIyF
    wai-3.2.3-ze4FXWqwpJC9w6GcOdPLg
    wai-logger-2.3.6-ES6CuI1X8ikbSrNQXupdO
    word8-0.1.3-C9wcaZKtRvf9CTebSJFNpx

haddock-interfaces:   /usr/share/doc/haskell-wai-extra/html/wai-extra.haddock
haddock-html:         /usr/share/doc/haskell-wai-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

